<?xml version="1.0" encoding="UTF-8"?>
<cheats version="1.0">
	<cheat enabled="0">
		<genie>SLNAEYSP</genie>
		<description>Infinite energy (1 of 2)</description>
	</cheat>
	<cheat enabled="0">
		<genie>SLVPOASP</genie>
		<description>Infinite energy (2 of 2)</description>
	</cheat>
	<cheat enabled="0">
		<genie>PAOXVLAE</genie>
		<description>Infinite keys (1 of 2)</description>
	</cheat>
	<cheat enabled="0">
		<genie>SAXZOLSZ</genie>
		<description>Infinite keys (2 of 2)</description>
	</cheat>
	<cheat enabled="0">
		<genie>XVOONAVK</genie>
		<description>Infinite time in puzzle and treasure rooms</description>
	</cheat>
    <cheat enabled="0">
        <address>0x00AA</address>
        <value>0x01</value>
        <description>Have invisibility power-up - P1</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AA</address>
        <value>0x02</value>
        <description>Have repulsiveness power-up - P1</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AA</address>
        <value>0x04</value>
        <description>Have reflective shot power-up - P1</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AA</address>
        <value>0x10</value>
        <description>Have super shot power-up - P1</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AA</address>
        <value>0x20</value>
        <description>Have invulnerability power-up - P1</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AC</address>
        <value>0x01</value>
        <description>Have invisibility power-up - P2</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AC</address>
        <value>0x02</value>
        <description>Have repulsiveness power-up - P2</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AC</address>
        <value>0x04</value>
        <description>Have reflective shot power-up - P2</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AC</address>
        <value>0x10</value>
        <description>Have super shot power-up - P2</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AC</address>
        <value>0x20</value>
        <description>Have invulnerability power-up - P2</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AC</address>
        <value>0x3F</value>
        <description>Have all power-ups - P1</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00AD</address>
        <value>0x3F</value>
        <description>Have all power-ups - P2</description>
    </cheat>
    <cheat enabled="0">
        <address>0x00C0</address>
        <value>0x1E</value>
        <description>Infinite time in puzzle and treasure rooms</description>
    </cheat>
</cheats>